<?php
namespace Bushelpowered\Api\Aggregator\Iam\V1\Response;
        
class InviteStaffUserResponse 
{
    /** @var string $userId The id of the user, sometimes just called bushel_id*/
    public string $userId;
    /** @var null|string $firstName The first name of the staff user*/
    public ?string $firstName = null;
    /** @var null|string $lastName The last name of the staff user*/
    public ?string $lastName = null;
    /** @var string $email The email address of the staff user*/
    public string $email;
    /** @var null|string $jobTitle The job title of the staff user*/
    public ?string $jobTitle = null;

    /**
     * @param  string  $userId The id of the user, sometimes just called bushel_id
     * @param  null|string  $firstName The first name of the staff user
     * @param  null|string  $lastName The last name of the staff user
     * @param  string  $email The email address of the staff user
     * @param  null|string  $jobTitle The job title of the staff user
     */
    public function __construct(string $userId, ?string $firstName, ?string $lastName, string $email, ?string $jobTitle)
    {
        $this->userId = $userId;
        $this->firstName = $firstName;
        $this->lastName = $lastName;
        $this->email = $email;
        $this->jobTitle = $jobTitle;
    }
    

}