<?php
namespace Bushelpowered\Api\Finops\Aggregator\V1\Responses;
        
class LenderListItem 
{
    /** @var string $id */
    public string $id;
    /** @var string $name The unique name for a specific configuration of a lender (if CFA has multiple APIs each would have its own 'lender' with a unique name.*/
    public string $name;
    /** @var \Bushelpowered\Api\Finops\Aggregator\V1\Responses\TermItem[] $termsAndConditions The list of terms and conditions for this lender.*/
    public array $termsAndConditions;

    /**
     * @param  string  $id 
     * @param  string  $name The unique name for a specific configuration of a lender (if CFA has multiple APIs each would have its own 'lender' with a unique name.
     * @param  \Bushelpowered\Api\Finops\Aggregator\V1\Responses\TermItem[]  $termsAndConditions The list of terms and conditions for this lender.
     */
    public function __construct(string $id, string $name, array $termsAndConditions)
    {
        $this->id = $id;
        $this->name = $name;
        $this->termsAndConditions = $termsAndConditions;
    }
    

}