<?php
namespace Bushelpowered\Api\Fulfillment\Threshold\V1\Request;
        
class SetRecipientsRequest 
{
    /** @var string $thresholdId */
    public string $thresholdId;
    /** @var string[] $recipientIds A list of recipients to set on a threshold.*/
    public array $recipientIds;

    /**
     * @param  string  $thresholdId 
     * @param  string[]  $recipientIds A list of recipients to set on a threshold.
     */
    public function __construct(string $thresholdId, array $recipientIds)
    {
        $this->thresholdId = $thresholdId;
        $this->recipientIds = $recipientIds;
    }
    

}