<?php
namespace Bushelpowered\Api\Fulfillment\Ticket\V1\Response;
        
class TicketListResponse 
{
    /** @var \Bushelpowered\Api\Fulfillment\Ticket\V1\Response\TicketResponse[] $data */
    public array $data;
    /** @var \Bushelpowered\Api\Fulfillment\Ticket\V1\Common\Filters $filters */
    public \Bushelpowered\Api\Fulfillment\Ticket\V1\Common\Filters $filters;
    /** @var \Bushelpowered\Api\Fulfillment\Common\V1\Pagination $pagination */
    public \Bushelpowered\Api\Fulfillment\Common\V1\Pagination $pagination;

    /**
     * @param  \Bushelpowered\Api\Fulfillment\Ticket\V1\Response\TicketResponse[]  $data 
     * @param  \Bushelpowered\Api\Fulfillment\Ticket\V1\Common\Filters  $filters 
     * @param  \Bushelpowered\Api\Fulfillment\Common\V1\Pagination  $pagination 
     */
    public function __construct(array $data, \Bushelpowered\Api\Fulfillment\Ticket\V1\Common\Filters $filters, \Bushelpowered\Api\Fulfillment\Common\V1\Pagination $pagination)
    {
        $this->data = $data;
        $this->filters = $filters;
        $this->pagination = $pagination;
    }
    

}