<?php
namespace Bushelpowered\Api\Platform\Commodity\V1;
        
class GetAllCommodityGroupsMetadata
{
    public function __construct(
        public ?string $requiredAuthorization,
        public ?array $extraOptionalMetadata = null,
    ) {}
    
    public function getMetadata() {
        $array = [];
        
        
        if ($this->requiredAuthorization) {
            $array['Authorization'] = $this->requiredAuthorization;
        }
    
        
        return $this->extraOptionalMetadata ? array_merge($array, $this->extraOptionalMetadata) : $array;
    }
}