<?php
namespace Bushelpowered\Api\Platform\File\V1\Common;
        
class CropResize implements \Bushelpowered\Api\Platform\File\V1\Common\HasDimensions
{
    /** @var int $height The height in pixels.*/
    public int $height;
    /** @var int $width The width in pixels.*/
    public int $width;

    /**
     * @param  int  $height The height in pixels.
     * @param  int  $width The width in pixels.
     */
    public function __construct(int $height, int $width)
    {
        $this->height = $height;
        $this->width = $width;
    }
    
    /**
     * @return int The height in pixels.
     */
    public function getHeight(): int
    {
        return $this->height;
    }
    /**
     * @return int The width in pixels.
     */
    public function getWidth(): int
    {
        return $this->width;
    }
}