<?php
namespace Bushelpowered\Api\Trade\Config\V1\Model;
        
class LocationConfigurationListItem 
{
    /** @var string $locationId The Location's unique identifier. From the Tenant Service.*/
    public string $locationId;
    /** @var string $displayName */
    public string $displayName;
    /** @var int $sortOrder */
    public int $sortOrder;

    /**
     * @param  string  $locationId The Location's unique identifier. From the Tenant Service.
     * @param  string  $displayName 
     * @param  int  $sortOrder 
     */
    public function __construct(string $locationId, string $displayName, int $sortOrder)
    {
        $this->locationId = $locationId;
        $this->displayName = $displayName;
        $this->sortOrder = $sortOrder;
    }
    

}