<?php
namespace Bushelpowered\Api\Trade\Config\V1\Request;
        
class LocationListConfigurationRequest implements \Bushelpowered\Api\Common\RequestsPagination
{
    /** @var null|\Bushelpowered\Api\Trade\Config\V1\Request\LocationConfigurationPagination $pagination */
    public ?\Bushelpowered\Api\Trade\Config\V1\Request\LocationConfigurationPagination $pagination = null;

    /**
     * @param  null|\Bushelpowered\Api\Trade\Config\V1\Request\LocationConfigurationPagination  $pagination 
     */
    public function __construct(?\Bushelpowered\Api\Trade\Config\V1\Request\LocationConfigurationPagination $pagination)
    {
        $this->pagination = $pagination;
    }
    
    /**
     * @return null|\Bushelpowered\Api\Trade\Config\V1\Request\LocationConfigurationPagination 
     */
    public function getPagination(): ?\Bushelpowered\Api\Trade\Config\V1\Request\LocationConfigurationPagination
    {
        return $this->pagination;
    }
}