<?php
namespace Bushelpowered\Api\Trade\Futures\V1\Model;
        
class PrivateBidLocationLegacyStandard 
{
    /** @var int $locationId The centre id for the Location*/
    public int $locationId;
    /** @var string $locationName The centre name for the Location*/
    public string $locationName;
    /** @var string $salesSeriesId The sales series id for which the Location belongs*/
    public string $salesSeriesId;
    /** @var \Bushelpowered\Api\Trade\Futures\V1\Model\PrivateBidCropStandard[] $crops The crops tied to the Location*/
    public array $crops;

    /**
     * @param  int  $locationId The centre id for the Location
     * @param  string  $locationName The centre name for the Location
     * @param  string  $salesSeriesId The sales series id for which the Location belongs
     * @param  \Bushelpowered\Api\Trade\Futures\V1\Model\PrivateBidCropStandard[]  $crops The crops tied to the Location
     */
    public function __construct(int $locationId, string $locationName, string $salesSeriesId, array $crops)
    {
        $this->locationId = $locationId;
        $this->locationName = $locationName;
        $this->salesSeriesId = $salesSeriesId;
        $this->crops = $crops;
    }
    

}