<?php
namespace Bushelpowered\Api\Aggregator\Quoting\V1\Request;
        
class StaffGetQuotesRequest implements \Bushelpowered\Api\Common\RequestsPagination
{
    /** @var null|\Bushelpowered\Api\Aggregator\Quoting\V1\Request\StaffQuoteFilters $filters */
    public ?\Bushelpowered\Api\Aggregator\Quoting\V1\Request\StaffQuoteFilters $filters = null;
    /** @var null|\Bushelpowered\Api\Aggregator\Quoting\V1\Request\QuotePagination $pagination */
    public ?\Bushelpowered\Api\Aggregator\Quoting\V1\Request\QuotePagination $pagination = null;

    /**
     * @param  null|\Bushelpowered\Api\Aggregator\Quoting\V1\Request\StaffQuoteFilters  $filters 
     * @param  null|\Bushelpowered\Api\Aggregator\Quoting\V1\Request\QuotePagination  $pagination 
     */
    public function __construct(?\Bushelpowered\Api\Aggregator\Quoting\V1\Request\StaffQuoteFilters $filters, ?\Bushelpowered\Api\Aggregator\Quoting\V1\Request\QuotePagination $pagination)
    {
        $this->filters = $filters;
        $this->pagination = $pagination;
    }
    
    /**
     * @return null|\Bushelpowered\Api\Aggregator\Quoting\V1\Request\QuotePagination 
     */
    public function getPagination(): ?\Bushelpowered\Api\Aggregator\Quoting\V1\Request\QuotePagination
    {
        return $this->pagination;
    }
}