<?php
namespace Bushelpowered\Api\Common\Event;
        
interface Event
{
        /**
         * @return string A key to uniquely identify this event.
         */
    public function getidempotencyKey(): string;
        /**
         * @return string The time the event was created. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
         */
    public function geteventCreationTime(): string;
        /**
         * @return null|string The tenant that this event belongs to/was emitted for. Null if an event is not for a specific tenant.
         */
    public function gettenantId(): ?string;
}