<?php
namespace Bushelpowered\Api\Iam\Access\Common\V1\Mixins;
        
class Entity 
{
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1\TenantRef $tenant */
    public \Bushelpowered\Api\Iam\Access\Common\V1\TenantRef $tenant;
    /** @var null|\Bushelpowered\Api\Iam\Access\Common\V1\LocationRef $location */
    public ?\Bushelpowered\Api\Iam\Access\Common\V1\LocationRef $location = null;
    /** @var null|\Bushelpowered\Api\Iam\Access\Common\V1\AccountRef $account */
    public ?\Bushelpowered\Api\Iam\Access\Common\V1\AccountRef $account = null;

    /**
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1\TenantRef  $tenant 
     * @param  null|\Bushelpowered\Api\Iam\Access\Common\V1\LocationRef  $location 
     * @param  null|\Bushelpowered\Api\Iam\Access\Common\V1\AccountRef  $account 
     */
    public function __construct(\Bushelpowered\Api\Iam\Access\Common\V1\TenantRef $tenant, ?\Bushelpowered\Api\Iam\Access\Common\V1\LocationRef $location, ?\Bushelpowered\Api\Iam\Access\Common\V1\AccountRef $account)
    {
        $this->tenant = $tenant;
        $this->location = $location;
        $this->account = $account;
    }
    

}